﻿@model IEnumerable<RoomEscapeCatalog.Models.Room>

@{
    var topRooms = Model;
}

<div id="top-rooms-carousel" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        @for (int i = 0; i < topRooms.Count(); i++)
        {
            var indicatorClass = i == 0 ? "active" : "";
            <li data-target="#top-rooms-carousel" data-slide-to="@i" class="@indicatorClass"></li>
        }
    </ol>
    <div class="carousel-inner">
        @{
            var isActiveSlideSet = false;
            foreach (var room in topRooms)
            {
                var imgSrc = Url.Content($"~/{room.Logo.Path}");
                var carouselItemClass = "carousel-item";
                if (!isActiveSlideSet)
                {
                    carouselItemClass += " active";
                    isActiveSlideSet = true;
                }

                <div class="@carouselItemClass">
                    <div class="carousel-image-container">
                        <img src="@imgSrc" class="carousel-image" alt="@room.Name">
                    </div>
                    <div class="carousel-caption d-none d-md-block">
                        <h4>
                            @Html.ActionLink(
                               room.Name,
                               nameof(RoomEscapeCatalog.Controllers.HomeController.RoomDetails),
                               routeValues: new { roomName = room.NameID },
                               htmlAttributes: new { @class = "undecorated-link" })
                        </h4>
                        <p>@room.ShortDescription</p>
                    </div>
                </div>
            }
        }
    </div>
    <a class="carousel-control-prev" href="#top-rooms-carousel" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#top-rooms-carousel" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>
</div>
